package beans;

import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;
import org.primefaces.model.DefaultTreeNode;
import org.primefaces.model.TreeNode;

/**
 *
 * @author Nils Christian Ehmke
 */
@ManagedBean
@ApplicationScoped
public class ComponentBean {

    private TreeNode root;

    public ComponentBean() {
        root = new DefaultTreeNode("Root", null);
        TreeNode node0 = new DefaultTreeNode("Reader", root);
        TreeNode node1 = new DefaultTreeNode("Analysis Plugins", root);

        TreeNode node00 = new DefaultTreeNode("FSReader", node0);
        TreeNode node01 = new DefaultTreeNode("JMXReader", node0);

        TreeNode node10 = new DefaultTreeNode("DummyRecordConsumer", node1);
        TreeNode node11 = new DefaultTreeNode("SilentCountingRecordConsumer", node1);
        TreeNode node12 = new DefaultTreeNode("TraceEquivalenceClassFilter", node1);
        TreeNode node13 = new DefaultTreeNode("ExecutionRecordTransformationFilter", node1);
        TreeNode node14 = new DefaultTreeNode("ResourceUtilizationPlugin", node1);
        TreeNode node15 = new DefaultTreeNode("TraceReconstructionPlugin", node1);
        TreeNode node16 = new DefaultTreeNode("CPUGraphPlugin", node1);
        TreeNode node17 = new DefaultTreeNode("SequenceDiagrammPlugin", node1);
        TreeNode node18 = new DefaultTreeNode("DependencyGraphPlugin", node1);
    }

    public TreeNode getRoot() {
        return root;
    }
}
