package beans;

import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;
import org.primefaces.model.DefaultTreeNode;
import org.primefaces.model.TreeNode;

/**
 *
 * @author Nils Christian Ehmke
 */
@ManagedBean
@ApplicationScoped
public class TreeBean {

    private TreeNode root;

    public TreeBean() {
        root = new DefaultTreeNode("Root", null);
        TreeNode node0 = new DefaultTreeNode("jPetStore Monitoring", root);
        TreeNode node1 = new DefaultTreeNode("Bookstore Monitoring", root);

        TreeNode node2 = new DefaultTreeNode("Dependency", node1);
        TreeNode node3 = new DefaultTreeNode("Kieker.jar", node2);
        TreeNode node4 = new DefaultTreeNode("Used Plugins", node1);

        TreeNode node11 = new DefaultTreeNode("Reader", node4);
        TreeNode node12 = new DefaultTreeNode("Analysis Plugins", node4);

        TreeNode node5 = new DefaultTreeNode("FSReader", node11);
        TreeNode node6 = new DefaultTreeNode("ResourceUtilizationPlugin", node12);
        TreeNode node7 = new DefaultTreeNode("TraceReconstructionPlugin", node12);
        TreeNode node8 = new DefaultTreeNode("CPUGraphPlugin", node12);
        TreeNode node9 = new DefaultTreeNode("SequenceDiagrammPlugin", node12);
        TreeNode node10 = new DefaultTreeNode("DependencyGraphPlugin", node12);
    }

    public TreeNode getRoot() {
        return root;
    }
}
